import { Component, inject } from '@angular/core';
import { Korisnik } from '../modeli/korisnik';
import { Aktivnost } from '../modeli/aktivnost';
import { AktivnostiService } from '../servisi/aktivnosti.service';
import { LogoutComponent } from '../logout/logout.component';

@Component({
  selector: 'app-nastavnik',
  standalone: true,
  imports: [LogoutComponent],
  templateUrl: './nastavnik.component.html',
  styleUrl: './nastavnik.component.css'
})
export class NastavnikComponent {
  ulogovan: Korisnik = new Korisnik();
  napravljeneAktivnosti: Aktivnost[] = [];

  private aktivnostiServis = inject(AktivnostiService)

  ngOnInit(): void {
    let ulogovanLS = localStorage.getItem('ulogovan');
    if (ulogovanLS != null) {
      this.ulogovan = JSON.parse(ulogovanLS);

      this.aktivnostiServis.mojeAktivnosti(this.ulogovan.korisnicko_ime).subscribe(data => {
        this.napravljeneAktivnosti = data;
      });
    }
  }

  promeniStatus(aktivnost: Aktivnost) {
    this.aktivnostiServis.promenaStatusa(aktivnost).subscribe(data => {
      if (data)
        this.ngOnInit();
    });
  }
}
